Bug 1317577 - postgresql-persistent template pv enters failed state when started from the web ui
Summary: postgresql-persistent template pv enters failed state when started from the w...
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage   
(Show other bugs)
Version: 3.2.0
Hardware: Unspecified
OS: Unspecified
medium
urgent
Target Milestone: ---
: ---
Assignee: Sami Wagiaalla
QA Contact: Jianwei Hou
URL:
Whiteboard:
Keywords:
Depends On: 1313560 1318161
Blocks: OSOPS_V3
TreeView+ depends on / blocked
 
Reported: 2016-03-14 15:22 UTC by Scott Dodson
Modified: 2016-06-07 22:46 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1313560
Environment:
Last Closed: 2016-05-12 16:32:43 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1064 normal SHIPPED_LIVE Important: Red Hat OpenShift Enterprise 3.2 security, bug fix, and enhancement update 2016-05-12 20:19:17 UTC

Comment 1 Sami Wagiaalla 2016-03-16 17:26:15 UTC
The fix for this is here: https://github.com/kubernetes/kubernetes/pull/22791
this was cherry piked into 1.2 here: https://github.com/kubernetes/kubernetes/pull/22945

and will likely be pulled into 3.2 in a rebase

Comment 2 Sami Wagiaalla 2016-03-16 17:51:49 UTC
> and will likely be pulled into 3.2 in a rebase

https://github.com/kubernetes/kubernetes/pull/22791

will be pulled into 3.2:

https://github.com/openshift/origin/issues/6766

that should cover this bug.

Comment 3 Paul Morie 2016-03-17 21:54:38 UTC
The 1.2.0 tag of origin should contain the cherry-pick of the upstream commit now.

Comment 4 Jianwei Hou 2016-03-18 09:23:18 UTC
Tested on ded-int.
The pods using ebs persistent volume could be successfully created. The PV/PVC binding and invalid ebs volume id issue is gone. I'll mark this bug as verified. The rest aws issues will be tracked on separate bugs.

Comment 6 errata-xmlrpc 2016-05-12 16:32:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2016:1064


Note You need to log in before you can comment on or make changes to this bug.